# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "nmap_service_dumper/version"

Gem::Specification.new do |spec|
  spec.name          = "nmap_service_dumper"
  spec.version       = NmapServiceDumper::VERSION
  spec.authors       = ["arch4ngel"]
  spec.email         = ["justinangel86@gmail.com"]

  spec.summary       = %q{Parses an Nmap XML file and dumps a directory structure to disk representing each listening service.}
  spec.homepage      = "https://github.com/arch4ngel/nmap_service_dumper"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
      spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = ["nmap_service_dumper"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency('colorize')
  spec.add_dependency('nokogiri')
  spec.add_dependency('thor')
end
